## ros-foxy-controller-interface 0.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(controller_interface)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)

add_library(controller_interface SHARED src/controller_interface.cpp)
target_include_directories(
  controller_interface
  PRIVATE
  include)
ament_target_dependencies(
  controller_interface
  hardware_interface
  rclcpp_lifecycle
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(controller_interface PRIVATE "CONTROLLER_INTERFACE_BUILDING_DLL")

install(DIRECTORY include/
  DESTINATION include
)
install(TARGETS controller_interface
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  find_package(hardware_interface REQUIRED)
  find_package(sensor_msgs REQUIRED)

  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_uncrustify
    ament_cmake_cpplint
  )
  ament_lint_auto_find_test_dependencies()

  ament_add_gmock(test_controller_with_options test/test_controller_with_options.cpp)
  target_link_libraries(test_controller_with_options controller_interface)
  target_include_directories(test_controller_with_options PRIVATE include)

  ament_add_gmock(
    test_semantic_component_interface
    test/test_semantic_component_interface.cpp
  )
  target_include_directories(test_semantic_component_interface PRIVATE include)
  ament_target_dependencies(
    test_semantic_component_interface
    hardware_interface
  )

  ament_add_gmock(
    test_force_torque_sensor
    test/test_force_torque_sensor.cpp
  )
  target_include_directories(test_force_torque_sensor PRIVATE include)
  ament_target_dependencies(
    test_force_torque_sensor
    hardware_interface
  )

  ament_add_gmock(
    test_imu_sensor
    test/test_imu_sensor.cpp
  )
  target_include_directories(test_imu_sensor PRIVATE include)
  ament_target_dependencies(
    test_imu_sensor
    hardware_interface
    sensor_msgs
  )
endif()

ament_export_dependencies(
  hardware_interface
  rclcpp_lifecycle
  sensor_msgs
)
ament_export_include_directories(
  include
)
ament_export_libraries(
  controller_interface
)
ament_package()

=== debian/changelog ===
ros-foxy-controller-interface (0.11.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-foxy-controller-interface (0.10.1-1focal) focal; urgency=high

  * Make interface_list_contains_interface_type inline (#721 <https://github.com/ros-controls/ros2_control/issues/721>) (#722 <https://github.com/ros-controls/ros2_control/issues/722>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 May 2022 23:00:00 -0000

ros-foxy-controller-interface (0.10.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-foxy-controller-interface (0.9.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Dec 2021 00:00:00 -0000

ros-foxy-controller-interface (0.8.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-foxy-controller-interface (0.8.0-1focal) focal; urgency=high

  * Automatic parameter declaration - enable existence of undeclared parameters from overrides (#504 <https://github.com/ros-controls/ros2_control/issues/504>)
  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Make controller_manager set controller's use_sim_time param when use_sim_time=True (#468 <https://github.com/ros-controls/ros2_control/issues/468>)
  * Correct obviously wrong call in controller interface. (#460 <https://github.com/ros-controls/ros2_control/issues/460>)
  * virtual destructors for semantic components (#455 <https://github.com/ros-controls/ros2_control/issues/455>)
  * Contributors: Denis Štogl, Karsten Knese, Lovro Ivanov, Simon Honigmann

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Aug 2021 23:00:00 -0000

ros-foxy-controller-interface (0.7.1-1focal) focal; urgency=high

  * Remove forgoten debug output (#439 <https://github.com/ros-controls/ros2_control/issues/439>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jun 2021 23:00:00 -0000

ros-foxy-controller-interface (0.7.0-1focal) focal; urgency=high

  * Add imu_sensor semantic component (#429 <https://github.com/ros-controls/ros2_control/issues/429>)
  * Fix osx warnings (#428 <https://github.com/ros-controls/ros2_control/issues/428>)
  * Add FTS as first semantic components to simplify controllers. (#370 <https://github.com/ros-controls/ros2_control/issues/370>)
  * Contributors: bailaC, Denis Štogl, Jordan Palacios, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Jun 2021 23:00:00 -0000

ros-foxy-controller-interface (0.6.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 May 2021 23:00:00 -0000

ros-foxy-controller-interface (0.6.0-1focal) focal; urgency=high

  * Added labels for controller states. (#414 <https://github.com/ros-controls/ros2_control/issues/414>)
  * prevent variable-sized object initialization (#411 <https://github.com/ros-controls/ros2_control/issues/411>)
  * Contributors: Denis Štogl, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-foxy-controller-interface (0.5.0-1focal) focal; urgency=high

  * Add NodeOptions parameter to init function of controller_interface (#382 <https://github.com/ros-controls/ros2_control/issues/382>)
  * guard around pragmas (#397 <https://github.com/ros-controls/ros2_control/issues/397>)
  * avoid deprecations (#393 <https://github.com/ros-controls/ros2_control/issues/393>)
  * Contributors: Auguste Bourgois, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000

ros-foxy-controller-interface (0.4.0-1focal) focal; urgency=high

  * Replace controller_interface return type SUCCESS by OK and mark SUCCESS as deprecated (#374 <https://github.com/ros-controls/ros2_control/issues/374>)
  * Contributors: Mateus Amarante

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 06 Apr 2021 23:00:00 -0000

ros-foxy-controller-interface (0.3.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 21 Mar 2021 00:00:00 -0000

ros-foxy-controller-interface (0.2.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 02 Mar 2021 00:00:00 -0000

ros-foxy-controller-interface (0.2.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Feb 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 05 Feb 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 04 Feb 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 03 Feb 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 21 Jan 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-foxy-controller-interface (0.1.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Dec 2020 00:00:00 -0000

ros-foxy-controller-interface (0.1.0-1focal) focal; urgency=high

  * Don't auto-declare override parameters and fix some prints (#276 <https://github.com/ros-controls/ros2_control/issues/276>)
  * Add configure controller service (#272 <https://github.com/ros-controls/ros2_control/issues/272>)
  * get_node() throw if node is uninitialized (#268 <https://github.com/ros-controls/ros2_control/issues/268>)


=== debian/control ===
Source: ros-foxy-controller-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-hardware-interface, ros-foxy-rclcpp-lifecycle, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-controller-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-hardware-interface, ros-foxy-rclcpp-lifecycle, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: Description of controller_interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-controller-interface//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
